de.esprit.netsuite.server.abo

## Class SingletonPrimaryKey

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.abo.AbstractPrimaryKey
      - - de.esprit.netsuite.server.abo.ABOPrimaryKey
        - - de.esprit.netsuite.server.abo.SingletonPrimaryKey

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, PrimaryKey, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class SingletonPrimaryKey
      extends ABOPrimaryKey

  This PK is used by singleton ABOs
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonPrimaryKey(java.lang.Class<? extends AbstractABO> aboClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSingleton()` Tells whether this key must only contain a type field
    `void` | `setValues(java.lang.Object... args)` Sets the primary key values

    - ### Methods inherited from class de.esprit.netsuite.server.abo.ABOPrimaryKey

      `getABOClassName, getValues`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractPrimaryKey

      `compareTo, equals, getRenderColor, getRenderIcon, getRenderText, getResourceName, getResourceType, getValue, hashCode, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### SingletonPrimaryKey

          public SingletonPrimaryKey(java.lang.Class<? extends AbstractABO> aboClass)

  - ### Method Detail

    - #### setValues

          public final void setValues(java.lang.Object... args)

      Description copied from interface: `PrimaryKey`
      Sets the primary key values
      Specified by:
        `setValues` in interface `PrimaryKey`
      Overrides:
        `setValues` in class `ABOPrimaryKey`

    - #### isSingleton

          public final boolean isSingleton()

      Description copied from interface: `PrimaryKey`
      Tells whether this key must only contain a type field
      Specified by:
        `isSingleton` in interface `PrimaryKey`
      Overrides:
        `isSingleton` in class `AbstractPrimaryKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.